.overlap-container {
  z-index: 99999999999999999;
}

/* Main overlay */
.block-ui {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  background: rgba(0, 0, 0, 0.4); /* dim background */
  backdrop-filter: blur(2px);     /* blur effect */

  display: flex;
  justify-content: center;
  align-items: center;

  z-index: 9999;     /* top of everything */
  pointer-events: all;
}

/* Hidden by default */
.block-ui.hidden {
  display: none;
}

/* Loader animation */
.block-ui .loader {
  width: 60px;
  height: 60px;
  border: 6px solid #fff;
  border-top-color: transparent;
  border-radius: 50%;
  animation: spin 0.8s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

